<template>
    <div>
        <section class="sect-header">
            <div>
                <h1>Bandeja de <span class="color-prime-doctor">entrada</span></h1>
                <hr class="head-hr-doctor">
                <p class="slogan">Tienes un total de {{emails.length}} respuestas</p>
            </div>
            <div class="messages">
                 <ul>
                    <li  v-for="(email, index) in filteredItems" 
                         :key="email.id_mess" 
                         @click="enviarIndice(index)" 
                         class="cursor-pointer ">
                        
                        <div>
                            {{index + 1}}
                            <span class="stick">|</span>  
                            <strong>{{email.subject.substr(0, numMaxSubstr)}}<span v-if="email.subject.length > 100">...</span></strong>
                        </div>
                        <div class="other-data">
                            {{getHumanDate (email.date_send_message)}}
                            <span class="stick">|</span> 
                            {{getHomanHours(email.date_send_message)}}
                            <i class="icon-eye ico-align"></i>
                        </div>


                        <!-- <p>{{index + 1}}  |  <strong>{{email.subject.substr(0, numMaxSubstr)}}<span v-if="email.subject.length > 100">...</span></strong>
                        |  {{getHumanDate (email.date_send_message)}} | {{getHomanHours(email.date_send_message)}}
                        </p> -->
                        <!-- <button @click="enviarIndice(index)" class="cursor-pointer ">Contestar mensaje</button> -->

                        <!-- <p>{{email.message}}</p> -->
                    </li>
                    <button  @click="chargeAll += 2" v-if="emails.length > chargeAll" class="button-prime spacer-bott">Cargar más respuestas {{ filteredItems.length }} / {{emails.length}}</button>
                </ul>
            </div>
        </section>
    </div>
</template>

<script>
import moment from 'moment'

export default {
    name:'inboxusers',
    data(){
        return{
            // En el subject mostrar sólo parte el mensaje...
            numMaxSubstr: "100",
            
            // iniciar el numero de resultados iniciales
            chargeAll:'5'
        }
    },
   computed: {
   filteredItems() {
     return this.emails.slice(0, this.chargeAll)
     }
  },
   
  props:{
      
    // recibimos listado de emails
    emails: Array,
    },
    
    
    methods:{

        // cargar más
         enviarIndice(index){
            let dataMessage = this.emails[index] // id del mensaje pulsado

            this.$emit('MessageIdEmit', dataMessage) // recogemos evento con $emit
        },

        // modificar fecha con moment
        getHumanDate : function (date) {
            return moment(date, 'YYYY-MM-DD').format('D MMM YYYY z'); 
            },

        // calcular hasta tiempo hasta el dia de hoy
        getHomanHours: function (date) {
            return moment(date).fromNow(); ;
            }
        
    }
}
</script>

<style scoped>

.messages {
    padding:2rem 0
}
li {
    display: flex;
    list-style: none;
    text-align: left;
    border-radius: 4px;
    padding:var(--spacer-15) 1rem;
    margin:0.4rem;
    border: 1px solid var( --color-general-whitesmoke);
    border-left: 5px solid var(--color-general-green);
    box-shadow: 0px 3px 8px -2px rgba(0,0,0,0.1);
    
    }

li:hover {
    /* background: var( --color-general-whitesmoke); */
    color:var(--color-general-salmon);
    animation: messages-list 0.5s forwards;

    }

.spacer-bott{
    margin-top: var(--spacer-15);
}

.other-data {
    margin-left: auto;
    font-size: var(--font-size-075);
    color:var(--color-general-graymedium);
}
.other-data > i {
    font-size: var(--font-size-0875);
    padding-left: var(--spacer-0875);
    color:var(--color-general-black);

}

.stick {
    color:var(--color-general-lightgrey);
    padding: 0 var(--spacer-05);
}


.head-hr-doctor {
    margin-top: 1rem;
}

 @media (max-width: 1050px) {
    li {
        display: flex;
        flex-direction:column;
    }
    .other-data {
    margin-left:0;
    
}
}
</style>